%define libname %mklibname xv 1
%define develname %mklibname xv -d
%define staticname %mklibname xv -s -d

Name: libxv
Summary:  The Xv Library
Version: 1.0.12
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXv-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
Obsoletes: 	%{name} < %version

%description
The  Xv  extension provides support for video adaptors attached to an X
display. Clients use Xv to gain access and manage sharing of a
display's video resources.

#-----------------------------------------------------------

%package -n %{libname}
Summary:  The Xv Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Conflicts: XFree86-compat-libs <= 4.1.0
Provides: %{name} = %{version}

%description -n %{libname}
The  Xv  extension provides support for video adaptors attached to an X
display. Clients use Xv to gain access and manage sharing of a
display's video resources.

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libname} = %{version}-%{release}
Requires: x11-proto-devel >= 1.0.0
Provides: libxv-devel = %{version}-%{release}
Provides: libxv1-devel = %{version}-%{release}
Obsoletes: %{mklibname xv 1 -d}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{develname}
Development files for %{name}

%pre -n %{develname}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXv.so
%{_libdir}/pkgconfig/xv.pc
%{_includedir}/X11/extensions/Xvlib.h
%{_mandir}/man3/Xv*

#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}-%{release}
Provides: libxv-static-devel = %{version}-%{release}
Provides: libxv1-static-devel = %{version}-%{release}
Obsoletes: %{mklibname xv 1 -s -d}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{staticname}
Static development files for %{name}

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libXv.a

#-----------------------------------------------------------

%prep
%setup -q -n libXv-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la


%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libXv.so.1
%{_libdir}/libXv.so.1.0.0


%changelog
* Wed Aug 02 2023 tex - 1.0.12-2pclos2023
- rebuild against updates

* Mon Dec 05 2022 tex - 1.0.12-1pclos2022
- new version

* Wed Jan 26 2022 tex - 1.0.11-6pclos2022
- rebuild against updates

* Thu Jun 24 2021 tex - 1.0.11-5pclos2021
- rebuild against updates

* Sun Mar 31 2019 tex - 1.0.11-4pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 1.0.11-3pclos2019
- rebuild against updates

* Sat Nov 18 2017 bb2 <bb2> - 1.0.11-2pclos2017
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> - 1.0.11-1.1pclos2017
- rebuilt

